jdbm.recman

## Class Magic

- java.lang.Object
- - jdbm.recman.Magic

    public final class Magic
    extends Object

This interface contains magic cookies. Final reference -> class shouldn't be extended

### Field Summary

Fields
`static short` `BLOCK` Magic for blocks.
`static short` `FILE_HEADER` Magic cookie at start of file
`static short` `FREE_PAGE` Magics for block types in certain lists.
`static short` `FREELOGIDS_PAGE`
`static short` `FREEPHYSIDS_PAGE`
`static short` `LOGFILE_HEADER` Magic for transaction file
`static long` `MAX_BLOCKS` Maximum number of blocks in a file, leaving room for a 16 bit offset encoded within a long.
`static short` `NLISTS` Number of lists in a file
`static short` `SZ_BYTE` Size of an externalized byte
`static short` `SZ_INT` Size of an externalized int
`static short` `SZ_LONG` Size of an externalized long
`static short` `SZ_SHORT` Size of an externalized short
`static short` `TRANSLATION_PAGE`
`static short` `USED_PAGE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILE_HEADER

    public static final short FILE_HEADER

Magic cookie at start of file

See Also:
  Constant Field Values

#### BLOCK

    public static final short BLOCK

Magic for blocks. They're offset by the block type magic codes.

See Also:
  Constant Field Values

#### FREE_PAGE

    public static final short FREE_PAGE

Magics for block types in certain lists. Offset by baseBlockMagic

See Also:
  Constant Field Values

#### USED_PAGE

    public static final short USED_PAGE

See Also:
  Constant Field Values

#### TRANSLATION_PAGE

    public static final short TRANSLATION_PAGE

See Also:
  Constant Field Values

#### FREELOGIDS_PAGE

    public static final short FREELOGIDS_PAGE

See Also:
  Constant Field Values

#### FREEPHYSIDS_PAGE

    public static final short FREEPHYSIDS_PAGE

See Also:
  Constant Field Values

#### NLISTS

    public static final short NLISTS

Number of lists in a file

See Also:
  Constant Field Values

#### MAX_BLOCKS

    public static final long MAX_BLOCKS

Maximum number of blocks in a file, leaving room for a 16 bit offset encoded within a long.

See Also:
  Constant Field Values

#### LOGFILE_HEADER

    public static final short LOGFILE_HEADER

Magic for transaction file

See Also:
  Constant Field Values

#### SZ_BYTE

    public static final short SZ_BYTE

Size of an externalized byte

See Also:
  Constant Field Values

#### SZ_SHORT

    public static final short SZ_SHORT

Size of an externalized short

See Also:
  Constant Field Values

#### SZ_INT

    public static final short SZ_INT

Size of an externalized int

See Also:
  Constant Field Values

#### SZ_LONG

    public static final short SZ_LONG

Size of an externalized long

See Also:
  Constant Field Values